GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/sparc64-linux-nat.c File Reference
`#include "defs.h"`
`#include "regcache.h"`
`#include <sys/procfs.h>`
`#include "gregset.h"`
`#include "sparc64-tdep.h"`
`#include "sparc-tdep.h"`
`#include "sparc-nat.h"`
`#include "inferior.h"`
`#include "target.h"`
`#include "linux-nat.h"`

Go to the source code of this file.

## Functions
void | supply_gregset (struct regcache *regcache, const prgregset_t *gregs)
void | supply_fpregset (struct regcache *regcache, const prfpregset_t *fpregs)
void | fill_gregset (const struct regcache *regcache, prgregset_t *gregs, int regnum)
void | fill_fpregset (const struct regcache *regcache, prfpregset_t *fpregs, int regnum)
void | _initialize_sparc64_linux_nat (void)

## Variables
static const struct sparc_gregmap | sparc64_linux_ptrace_gregmap

## Function Documentation

## ◆ _initialize_sparc64_linux_nat()

void _initialize_sparc64_linux_nat | ( | void |  | ) |

Definition at line 73 of file sparc64-linux-nat.c.

References linux_nat_add_target(), linux_nat_set_forget_process(), linux_target(), sparc64_bsd_fpregmap, sparc64_forget_process(), sparc64_linux_ptrace_gregmap, sparc_fetch_inferior_registers(), sparc_store_inferior_registers(), target_ops::to_fetch_registers, and target_ops::to_store_registers.

## ◆ fill_fpregset()

void fill_fpregset | ( | const struct regcache * | regcache,
|  | prfpregset_t * | fpregs,
|  | int | regnum
| ) |  |

Definition at line 66 of file sparc64-linux-nat.c.

References regnum, sparc64_bsd_fpregmap, and sparc64_collect_fpregset().

## ◆ fill_gregset()

void fill_gregset | ( | const struct regcache * | regcache,
|  | prgregset_t * | gregs,
|  | int | regnum
| ) |  |

Definition at line 60 of file sparc64-linux-nat.c.

References regnum, and sparc64_collect_gregset().

## ◆ supply_fpregset()

void supply_fpregset | ( | struct regcache * | regcache,
|  | const prfpregset_t * | fpregs
| ) |  |

Definition at line 54 of file sparc64-linux-nat.c.

References sparc64_bsd_fpregmap, and sparc64_supply_fpregset().

## ◆ supply_gregset()

void supply_gregset | ( | struct regcache * | regcache,
|  | const prgregset_t * | gregs
| ) |  |

Definition at line 48 of file sparc64-linux-nat.c.

References sparc64_supply_gregset().

## Variable Documentation

## ◆ sparc64_linux_ptrace_gregmap

const struct sparc_gregmap sparc64_linux_ptrace_gregmap
| static

Initial value:
=
{
16 * 8,
17 * 8,
18 * 8,
19 * 8,
-1,
-1,
0 * 8,
-1,
4
}

Definition at line 33 of file sparc64-linux-nat.c.

Referenced by _initialize_sparc64_linux_nat().